Payments
Transactions Refund Create
Refund an existing transaction.
Authorization
oauth2 transactions:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: transactions:write
Path Parameters
id*integer
A unique integer value identifying this Transaction.
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X POST "https://example.com/transactions/0/refund/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{ "amount": "string" }'{ "amount": "string", "amount_available_for_refund": "0.00", "attribution": { "affiliate": "string", "agent": { "email": "user@example.com", "first_name": "string", "id": 0, "last_name": "string" }, "funnel": "string", "gclid": "string", "metadata": null, "subaffiliate1": "string", "subaffiliate2": "string", "subaffiliate3": "string", "subaffiliate4": "string", "subaffiliate5": "string", "utm_campaign": "string", "utm_content": "string", "utm_medium": "string", "utm_source": "string", "utm_term": "string" }, "auth_code": "string", "currency": "string", "date_created": "2019-08-24T14:15:22Z", "external_id": "string", "id": 0, "initiator": { "email": "user@example.com", "first_name": "string", "id": 0, "last_name": "string" }, "is_disputed": true, "is_external": true, "is_test": true, "network_transaction_id": "string", "order": "string", "parent_id": 0, "payment_details": { "bankcard_first_six": "string", "bankcard_last_four": "string", "card_token": "string", "gateway": { "id": 0, "is_next_payments": true, "name": "string", "type": "string" }, "is_3ds": true, "optimized_3ds": true, "paypal_vault_id": "string", "sca_flow": "string" }, "payment_method": "string", "report_values": { "amount": "string", "currency": "string" }, "response_code": 0, "statement_descriptor": "string", "status": "succeeded", "subscription": { "billing_cycle": 0, "id": 0 }, "type": "string", "user": { "accepts_marketing": true, "email": "user@example.com", "first_name": "string", "id": 0, "ip": "string", "language": "string", "last_name": "string", "phone_number": "string", "user_agent": "string" }}